Activity Items¶
Properties¶
- id (id) [Read only]
- Unique identifier for this activity item. For example: urn:uuid:009d0e07c93
- author (screenname) [Read only]
- The screen name of the member who generated the activity item
- type (activity) [Read only]
- The specific action that generated the activity item
- createdDate (date) [Read only]
- When the activity item was generated
- contentId (id) [Read only]
- The ID for content that this activity item is about. For example: 94301:Photo:75451. For JoinNetwork and StatusUpdate acitivty types the type is screenname.
- url (url) [Read/Write]
- the URL to the result of an activity. For example, if a photo was created, this will be a link to the photo.
- title (string) [Read/Write]
- The title of the content item that was generated. This only applies to content that has a title such as blog posts and photos.
- description (string) [Read/Write]
- The text of the content item or a generic description of the activity. For CreateBlogPost, this would be the contents of the blog post. For JoinNetwork it would be “Jane has joined the The Cycling Network”
- attachedTo (id) [Read only]
- For comment activity only. ID of the content the comment for. For example if a member commented on a photo, the contentID will be 94301:Comment:75451 and attachedTo would be 94301:Photo:8675
- attachedToType (type) [Read only]
- For comment activity only. The owner of the content that the comment is attached to. For example if a member commented on a photo, the contentID will be 94301:Comment:75451 and attachedToType would be Photo
- attachedToAuthor (id) [Read only]
- For comment activity only. The author of the content that was commented on.
- image (id) [Read only]
- For photo activity only. ID of the image referenced in the activity. To be used with the image.url, image.width, and image.height sub-properties.
Sub-Properties¶
- author.fullName (string) [Read only]
- The full name of the author
- author.iconUrl (url) [Read only]
- The author’s profile photo
- author.url (url) [Read only]
- The author’s profile page on the Ning Network
- image.url (url) [Read only]
- Applies only to CreatePhoto and CreatePhotoComment activity items. The URL of for the photo
- image.width (int) [Read only]
- Applies only to CreatePhoto and CreatePhotoComment activity items. The width of the photo
- image.height (int) [Read only]
- Applies only to CreatePhoto and CreatePhotoComment activity items. The height of the photo
HTTP GET¶
/xn/rest/apiexample/1.0/Activity/recent ¶
Retrieve the latest activity from the Ning Network
Optional Query Parameters:¶
- author (screenname)
- Retrieve activity items for a specific member
- fields (field)
- Comma-separated list of desired properties, this is only a hint to the server
- anchor (string)
- An opaque token encodes the page of results returned, used in conjunction with count to page through a result set
- count (int)
- Returns one activity item by default and supports a maximum of 100. Also supports negative values down to -100 for retrieving activity items before the startIndex.
/xn/rest/apiexample/1.0/Activity/count ¶
Retrieve the number of activity items created after the given date
Required Query Parameters:¶
- createdAfter (date)
- The ISO-8601 date to start counting after. If the date is more than a week old, a 400 response will be returned
Optional Query Parameters:¶
- author (screenname)
- Retrieve the count of activity items for a specific member